Unify and manage your data

Update a hierarchy by ID

Learn more about how to use the hierarchy update API to update a hierarchy by ID.

Use the Hierarchy update to update the metadata for a hierarchy. This operation requires the MDM.Data.Hierarchy permission with the UPDATE privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

PUT https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

The request body is a JSON array of connection definition objects.

FieldTypeRequiredDescription
typeStringYesThe hierarchy type name as defined in the business configuration.
nameStringYesThe name of the hierarchy.
hasVersioningBooleanNoIndicates whether hierarchy versioning must be enabled or disabled. If the hierarchy has multiple versions, you can't disable versioning.

Example request

Use the following example to see how a complete request is structured with headers.

PUT /list/prd
Authorization: Bearer <token>

{
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true
}

Response fields

The following table describes the fields returned in the response body.
FieldTypeDescription
hierarchyIdStringThe hierarchy ID.
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
singleInstanceIdStringOptional. If versioning is disabled, the ID of the only hierarchy instance.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "hierarchyId": "prd",
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "createdBy": "john.smith@reltio.com",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "john.smith@reltio.com",
  "updatedTime": "2024-10-10T10:15:30"
}